<?php
session_start();
include_once('../../config/#Config.php');
if (!$_SESSION['UserName']) {
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
$listitem = '';
$i        = 0;
if ($_POST['item_1']) {
    if ($_POST['sl_0'] <= 0 or $_POST['sl_0'] > 100000000 or !is_numeric($_POST['sl_0'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= 'item,' . $_POST['item_1'] . ',' . $_POST['sl_0'];
    $i++;
}
if ($_POST['item_2']) {
    if ($_POST['sl_1'] <= 0 or $_POST['sl_1'] > 100000000 or !is_numeric($_POST['sl_1'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= '%3Bitem,' . $_POST['item_2'] . ',' . $_POST['sl_1'];
    $i++;
}
if ($_POST['item_3']) {
    if ($_POST['sl_2'] <= 0 or $_POST['sl_2'] > 100000000 or !is_numeric($_POST['sl_2'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= '%3Bitem,' . $_POST['item_3'] . ',' . $_POST['sl_2'];
    $i++;
}
if ($_POST['item_4']) {
    if ($_POST['sl_3'] <= 0 or $_POST['sl_3'] > 100000000 or !is_numeric($_POST['sl_3'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= '%3Bitem,' . $_POST['item_4'] . ',' . $_POST['sl_3'];
    $i++;
}
if ($_POST['item_5']) {
    if ($_POST['sl_4'] <= 0 or $_POST['sl_4'] > 100000000 or !is_numeric($_POST['sl_4'])) {
        $return['type'] = 1;
        $return['text'] = 'Số lượng phải lớn 0 nhỏ hơn 100000000';
        echo json_encode($return);
        exit();
    }
    $listitem .= '%3Bitem,' . $_POST['item_5'] . ',' . $_POST['sl_4'];
    $i++;
}
if ($_POST['number'] != "" && $_POST['count'] != "") {
    $listitem .= '%3B' . $_POST['number'] . ',' . $_POST['count'];
    $i++;
}
// check nhận vật
            // connect sv
            /* ------------------------------------------- CONNECT CHAR SV ------------------------------- */
            $get_Server = mysqli_query($conn, "Select * From config_server WHERE ServerID = '" . $_POST['sv'] . "'");
            if (!mysqli_num_rows($get_Server)) {
                $return['type'] = 0;
                $data['text'] = 'Máy chủ không tồn tại Hoặc bạn chưa chọn.';
                echo json_encode($data);
                exit();
            }
            $get_Server = mysqli_fetch_array($get_Server, MYSQLI_ASSOC);
            $conn_char  = @mysqli_connect($get_Server['IPdata'], $get_Server['Userdata'], $get_Server['PassData'], $get_Server['Databases']);
            if ($conn_char->mysqli_connect_errno) {
                $data['text'] = "Connection failed: " . $conn_char->mysqli_connect_errno;
                echo json_encode($data);
                exit();
            }
            mysqli_query($conn_char, "SET NAMES 'utf8'"); 			
            /* ------------------------------------------- CONNECT CHAR SV ------------------------------- */
$IDChar = $_POST['namenew'];
if($_REQUEST["loaigui"] == 'SendMail_Kin'){
$chuoititle = json_encode(array('type' => "SendMail_ACB00099552233"));
	// Úm ba la sì bùa
	$_Load_Bang = mysqli_query($conn_char, "Select * From kin_member_data WHERE KinID = '".$_REQUEST['KinID']."'");
	if(mysqli_num_rows($_Load_Bang)){
		while($row = mysqli_fetch_assoc($_Load_Bang)){
			// 
$pud    = randomtime();			
$url    = "http://" . $get_Server['IpJson'] . ":" . $get_Server['PortJson'] . "/efunsendreward?userId=1&roleId=".$row['RoleID']."&serverCode=".$get_Server['ServerID']."&serialNo=$pud&packageId=$listitem&title=$chuoititle&content=" . urlencode($_REQUEST["messager_mail"]);
$ch     = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_URL, $url);
$output = curl_exec($ch);
$reset  = json_decode($output);
if($reset->code == 1000){
			mysqli_query($conn, "INSERT INTO logs_admin (UserName,Type,Item,Messager,Timer) VALUES ('" . $_SESSION['UserName'] . "', '0', '$listitem', N'Chuyển ITEM S-".$_POST['sv']."-BH:".$_POST['KinID']." -".$row['RoleID']."', '".strtotime(date('d-m-Y H:i:s'))."')");				            
} else {
			mysqli_query($conn, "INSERT INTO logs_admin (UserName,Type,Item,Messager,Timer) VALUES ('" . $_SESSION['UserName'] . "', '0', '$listitem', N'LỖI ".$_POST['sv']."-BH:".$_POST['KinID']." -".$row['RoleID']."', '".strtotime(date('d-m-Y H:i:s'))."')");				            
}
		}
	$return['type'] = 0;
    $noidung = 'Gửi thành công, Vui lòng kiểm tra.';
	} else {
    $noidung = 'Bang Hội này không tồn tại.';
	}
} else {
$pud    = randomtime();				
$chuoititle = json_encode(array('type' => $_REQUEST["loaigui"]));
$url    = "http://" . $get_Server['IpJson'] . ":" . $get_Server['PortJson'] . "/efunsendreward?userId=1&serverCode=".$get_Server['ServerID']."&serialNo=$pud&packageId=$listitem&title=$chuoititle&content=" . urlencode($_REQUEST["messager_mail"]);
$ch     = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_HEADER, 0);
curl_setopt($ch, CURLOPT_URL, $url);
$output = curl_exec($ch);
$reset  = json_decode($output);
if($reset->code == 1000){
   mysqli_query($conn, "INSERT INTO logs_admin (UserName,Type,Item,Messager,Timer) VALUES ('" . $_SESSION['UserName'] . "', '0', '$listitem', N'Chuyển ITEM S-".$_POST['sv']."-".$_POST['user']." -".$IDChar."', '".strtotime(date('d-m-Y H:i:s'))."')");				            
   $return['type'] = 0;
    $return['text'] = 'Gửi thư thành công. Kiểm tra thư game.';
    echo json_encode($return);
    exit();	
} else {
	   $return['type'] = 1;
	$noidung = $reset->message;
	if(!$noidung){
		$noidung = $reset->msg;
	}
}
}
    $return['text'] = $noidung;
    echo json_encode($return);
